import { PropType, VNode } from 'vue';
import { VueNode } from '../_util/type';
export declare const DescriptionsItemProps: {
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    label: import("vue-types").VueTypeValidableDef<any>;
    span: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
};
export declare const DescriptionsItem: {
    name: string;
    props: {
        prefixCls: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        label: import("vue-types").VueTypeValidableDef<VueNode>;
        span: import("vue-types").VueTypeValidableDef<number> & {
            default: number;
        } & {
            default: number;
        };
    };
    render(): any;
};
export declare const DescriptionsProps: {
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    bordered: import("vue-types").VueTypeValidableDef<boolean>;
    size: import("vue-types").VueTypeDef<"default" | "small" | "middle"> & {
        default: "default" | "small" | "middle";
    };
    title: import("vue-types").VueTypeValidableDef<VueNode>;
    column: {
        type: PropType<import("../grid/Row").Gutter>;
        default: () => {
            xxl: number;
            xl: number;
            lg: number;
            md: number;
            sm: number;
            xs: number;
        };
    };
    layout: import("vue-types").VueTypeDef<"horizontal" | "vertical">;
    colon: import("vue-types").VueTypeValidableDef<boolean>;
};
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {
            screens: {};
            token: any;
        };
        $props: Partial<{
            prefixCls: string;
            column: {
                xxl: number;
                xl: number;
                lg: number;
                md: number;
                sm: number;
                xs: number;
            };
            size: "default" | "small" | "middle";
        }> & Pick<Readonly<{
            prefixCls: string;
            column: {
                xxl: number;
                xl: number;
                lg: number;
                md: number;
                sm: number;
                xs: number;
            };
            size: "default" | "small" | "middle";
        } & {
            title?: VueNode;
            layout?: "horizontal" | "vertical";
            bordered?: boolean;
            colon?: boolean;
        }> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "style" | "title" | "class" | "key" | "ref" | "onVnodeBeforeMount" | "onVnodeMounted" | "onVnodeBeforeUpdate" | "onVnodeUpdated" | "onVnodeBeforeUnmount" | "onVnodeUnmounted" | "layout" | "bordered" | "colon">;
        $attrs: Record<string, unknown>;
        $refs: Record<string, unknown>;
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<{
            prefixCls: string;
            column: {
                xxl: number;
                xl: number;
                lg: number;
                md: number;
                sm: number;
                xs: number;
            };
            size: "default" | "small" | "middle";
        } & {
            title?: VueNode;
            layout?: "horizontal" | "vertical";
            bordered?: boolean;
            colon?: boolean;
        }>, {
            configProvider: import("../config-provider").ConfigConsumerProps;
        }, {
            screens: {};
            token: any;
        }, {}, {
            getColumn(): number;
            renderRow(children: VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[], index: number, { prefixCls }: {
                prefixCls: string;
            }, bordered: boolean, layout: "horizontal" | "vertical", colon: boolean): JSX.Element;
        }, {
            methods: {
                setState(state: {}, callback: any): void;
                __emit(...args: any[]): void;
            };
        }, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
            prefixCls: string;
            column: {
                xxl: number;
                xl: number;
                lg: number;
                md: number;
                sm: number;
                xs: number;
            };
            size: "default" | "small" | "middle";
        }>;
        $forceUpdate: import("vue").ReactiveEffect<any>;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<{
        prefixCls: string;
        column: {
            xxl: number;
            xl: number;
            lg: number;
            md: number;
            sm: number;
            xs: number;
        };
        size: "default" | "small" | "middle";
    } & {
        title?: VueNode;
        layout?: "horizontal" | "vertical";
        bordered?: boolean;
        colon?: boolean;
    }> & import("vue").ShallowUnwrapRef<{
        configProvider: import("../config-provider").ConfigConsumerProps;
    }> & {
        screens: {};
        token: any;
    } & {
        [x: string]: never;
    } & {
        setState(state: {}, callback: any): void;
        __emit(...args: any[]): void;
    } & {
        getColumn(): number;
        renderRow(children: VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[], index: number, { prefixCls }: {
            prefixCls: string;
        }, bordered: boolean, layout: "horizontal" | "vertical", colon: boolean): JSX.Element;
    } & import("vue").ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<{
    prefixCls: string;
    column: {
        xxl: number;
        xl: number;
        lg: number;
        md: number;
        sm: number;
        xs: number;
    };
    size: "default" | "small" | "middle";
} & {
    title?: VueNode;
    layout?: "horizontal" | "vertical";
    bordered?: boolean;
    colon?: boolean;
}>, {
    configProvider: import("../config-provider").ConfigConsumerProps;
}, {
    screens: {};
    token: any;
}, {}, {
    getColumn(): number;
    renderRow(children: VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>[], index: number, { prefixCls }: {
        prefixCls: string;
    }, bordered: boolean, layout: "horizontal" | "vertical", colon: boolean): JSX.Element;
}, {
    methods: {
        setState(state: {}, callback: any): void;
        __emit(...args: any[]): void;
    };
}, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
    prefixCls: string;
    column: {
        xxl: number;
        xl: number;
        lg: number;
        md: number;
        sm: number;
        xs: number;
    };
    size: "default" | "small" | "middle";
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & {
    readonly Item: typeof DescriptionsItem;
};
export default _default;
