import { VNode, PropType } from 'vue';
import { ModalLocale } from '../modal/locale';
export interface Locale {
    locale: string;
    Pagination?: Object;
    DatePicker?: Object;
    TimePicker?: Object;
    Calendar?: Object;
    Table?: Object;
    Modal?: ModalLocale;
    Popconfirm?: Object;
    Transfer?: Object;
    Select?: Object;
    Upload?: Object;
}
export interface LocaleProviderProps {
    locale: Locale;
    children?: VNode | VNode[];
    ANT_MARK__?: string;
}
export declare const ANT_MARK = "internalMark";
declare const LocaleProvider: import("vue").DefineComponent<{
    locale: {
        type: PropType<Locale>;
    };
    ANT_MARK__: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
}, {
    state: {
        antLocale: {
            exist: boolean;
            locale: string;
            Pagination?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: string | number | symbol) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: string | number | symbol) => boolean;
            };
            DatePicker?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: string | number | symbol) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: string | number | symbol) => boolean;
            };
            TimePicker?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: string | number | symbol) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: string | number | symbol) => boolean;
            };
            Calendar?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: string | number | symbol) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: string | number | symbol) => boolean;
            };
            Table?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: string | number | symbol) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: string | number | symbol) => boolean;
            };
            Modal?: {
                okText: string;
                cancelText: string;
                justOkText: string;
            };
            Popconfirm?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: string | number | symbol) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: string | number | symbol) => boolean;
            };
            Transfer?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: string | number | symbol) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: string | number | symbol) => boolean;
            };
            Select?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: string | number | symbol) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: string | number | symbol) => boolean;
            };
            Upload?: {
                constructor: Function;
                toString: () => string;
                toLocaleString: () => string;
                valueOf: () => Object;
                hasOwnProperty: (v: string | number | symbol) => boolean;
                isPrototypeOf: (v: Object) => boolean;
                propertyIsEnumerable: (v: string | number | symbol) => boolean;
            };
        };
        ANT_MARK__: string;
    };
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    ANT_MARK__: string;
} & {
    locale?: Locale;
}>, {
    ANT_MARK__: string;
}>;
export default LocaleProvider;
