import { VNodeTypes } from 'vue';
export declare type SliderValue = number | [number, number];
interface HandleGeneratorInfo {
    value: number;
    dragging: boolean;
    index: number;
    rest: any[];
}
export declare type HandleGeneratorFn = (config: {
    tooltipPrefixCls?: string;
    prefixCls?: string;
    info: HandleGeneratorInfo;
}) => VNodeTypes;
export declare const SliderProps: () => {
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    tooltipPrefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    range: import("vue-types").VueTypeValidableDef<boolean>;
    reverse: import("vue-types").VueTypeValidableDef<boolean>;
    min: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    max: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    step: import("vue-types").VueTypeValidableDef<any>;
    marks: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    dots: import("vue-types").VueTypeValidableDef<boolean>;
    value: import("vue-types").VueTypeDef<number | number[]>;
    defaultValue: import("vue-types").VueTypeDef<number | number[]>;
    included: import("vue-types").VueTypeValidableDef<boolean>;
    disabled: import("vue-types").VueTypeValidableDef<boolean>;
    vertical: import("vue-types").VueTypeValidableDef<boolean>;
    tipFormatter: import("vue-types").VueTypeDef<any>;
    tooltipVisible: import("vue-types").VueTypeValidableDef<boolean>;
    tooltipPlacement: import("vue-types").VueTypeDef<"top" | "bottom" | "left" | "right" | "bottomRight" | "bottomLeft" | "topLeft" | "topRight" | "leftTop" | "leftBottom" | "rightTop" | "rightBottom"> & {
        default: "top" | "bottom" | "left" | "right" | "bottomRight" | "bottomLeft" | "topLeft" | "topRight" | "leftTop" | "leftBottom" | "rightTop" | "rightBottom";
    };
    getTooltipPopupContainer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onAfterChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
};
declare const Slider: import("vue").DefineComponent<{
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    tooltipPrefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    range: import("vue-types").VueTypeValidableDef<boolean>;
    reverse: import("vue-types").VueTypeValidableDef<boolean>;
    min: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    max: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    step: import("vue-types").VueTypeValidableDef<any>;
    marks: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    dots: import("vue-types").VueTypeValidableDef<boolean>;
    value: import("vue-types").VueTypeDef<number | number[]>;
    defaultValue: import("vue-types").VueTypeDef<number | number[]>;
    included: import("vue-types").VueTypeValidableDef<boolean>;
    disabled: import("vue-types").VueTypeValidableDef<boolean>;
    vertical: import("vue-types").VueTypeValidableDef<boolean>;
    tipFormatter: import("vue-types").VueTypeDef<any>;
    tooltipVisible: import("vue-types").VueTypeValidableDef<boolean>;
    tooltipPlacement: import("vue-types").VueTypeDef<"top" | "bottom" | "left" | "right" | "bottomRight" | "bottomLeft" | "topLeft" | "topRight" | "leftTop" | "leftBottom" | "rightTop" | "rightBottom"> & {
        default: "top" | "bottom" | "left" | "right" | "bottomRight" | "bottomLeft" | "topLeft" | "topRight" | "leftTop" | "leftBottom" | "rightTop" | "rightBottom";
    };
    getTooltipPopupContainer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onAfterChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
}, {
    vcSlider: any;
    configProvider: import("../config-provider").ConfigConsumerProps;
}, {
    visibles: {};
}, {}, {
    toggleTooltipVisible(index: number, visible: boolean): void;
    handleWithTooltip(tooltipPrefixCls: string, prefixCls: string, { value, dragging, index, ...restProps }: HandleGeneratorInfo): VNodeTypes;
    saveSlider(node: any): void;
    focus(): void;
    blur(): void;
    handleChange(val: SliderValue): void;
}, {
    methods: {
        setState(state: {}, callback: any): void;
        __emit(...args: any[]): void;
    };
}, import("vue").ComponentOptionsMixin, ("change" | "update:value")[], "change" | "update:value", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    onChange: (...args: any[]) => any;
    prefixCls: string;
    max: number;
    min: number;
    tooltipPrefixCls: string;
    marks: {
        [key: string]: any;
    };
    tooltipPlacement: "top" | "bottom" | "left" | "right" | "bottomRight" | "bottomLeft" | "topLeft" | "topRight" | "leftTop" | "leftBottom" | "rightTop" | "rightBottom";
    getTooltipPopupContainer: (...args: any[]) => any;
    onAfterChange: (...args: any[]) => any;
} & {
    value?: number | number[];
    reverse?: boolean;
    vertical?: boolean;
    range?: boolean;
    disabled?: boolean;
    defaultValue?: number | number[];
    dots?: boolean;
    step?: any;
    included?: boolean;
    tipFormatter?: any;
    tooltipVisible?: boolean;
}>, {
    onChange: (...args: any[]) => any;
    prefixCls: string;
    max: number;
    min: number;
    tooltipPrefixCls: string;
    marks: {
        [key: string]: any;
    };
    tooltipPlacement: "top" | "bottom" | "left" | "right" | "bottomRight" | "bottomLeft" | "topLeft" | "topRight" | "leftTop" | "leftBottom" | "rightTop" | "rightBottom";
    getTooltipPopupContainer: (...args: any[]) => any;
    onAfterChange: (...args: any[]) => any;
}>;
export default Slider;
