import { CSSProperties } from 'vue';
declare enum AffixStatus {
    None = 0,
    Prepare = 1
}
export interface AffixState {
    affixStyle?: CSSProperties;
    placeholderStyle?: CSSProperties;
    status: AffixStatus;
    lastAffix: boolean;
    prevTarget: Window | HTMLElement | null;
}
declare const Affix: import("vue").DefineComponent<{
    /**
     * 距离窗口顶部达到指定偏移量后触发
     */
    offsetTop: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    offset: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    /** 距离窗口底部达到指定偏移量后触发 */
    offsetBottom: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    /** 固定状态改变时触发的回调函数 */
    /** 设置 Affix 需要监听其滚动事件的元素，值为一个返回对应 DOM 元素的函数 */
    target: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    } & {
        default: (...args: any[]) => any;
    };
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    onChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onTestUpdatePosition: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
}, {
    configProvider: import("../config-provider").ConfigConsumerProps;
}, {
    affixStyle: any;
    placeholderStyle: any;
    status: AffixStatus;
    lastAffix: boolean;
    prevTarget: any;
    timeout: any;
}, {}, {
    getOffsetTop(): number;
    getOffsetBottom(): number;
    measure(): void;
    prepareMeasure(): void;
    updatePosition(): void;
    lazyUpdatePosition(): void;
}, {
    methods: {
        setState(state: {}, callback: any): void;
        __emit(...args: any[]): void;
    };
}, import("vue").ComponentOptionsMixin, ("change" | "testUpdatePosition")[], "change" | "testUpdatePosition", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    onChange: (...args: any[]) => any;
    prefixCls: string;
    offset: number;
    target: (...args: any[]) => any;
    offsetTop: number;
    offsetBottom: number;
    onTestUpdatePosition: (...args: any[]) => any;
} & {}>, {
    onChange: (...args: any[]) => any;
    prefixCls: string;
    offset: number;
    target: (...args: any[]) => any;
    offsetTop: number;
    offsetBottom: number;
    onTestUpdatePosition: (...args: any[]) => any;
}>;
export default Affix;
