import { DefineComponent } from 'vue';
import { RangePickerPropsTypes, MonthPickerPropsTypes, WeekPickerPropsTypes } from './interface';
declare const WrappedRangePicker: DefineComponent<RangePickerPropsTypes, {}, {}, Record<string, import("@vue/reactivity").ComputedGetter<any> | import("vue").WritableComputedOptions<any>>, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    locale: any;
} & {
    onFocus?: EventHandlerNonNull;
    onBlur?: EventHandlerNonNull;
    onChange?: (dates: import("./props").RangePickerValue, dateStrings: [string, string]) => void;
    onMouseenter?: (e: MouseEvent) => void;
    onMouseleave?: (e: MouseEvent) => void;
    prefixCls?: string;
    mode?: string | string[];
    name?: string;
    value?: unknown;
    size?: "default" | "small" | "large";
    open?: boolean;
    separator?: unknown;
    disabled?: boolean;
    autofocus?: boolean;
    placeholder?: [string, string];
    transitionName?: string;
    dropdownClassName?: string;
    popupStyle?: import("vue").CSSProperties;
    defaultValue?: unknown;
    allowClear?: boolean;
    suffixIcon?: unknown;
    inputPrefixCls?: string;
    onOpenChange?: (status: boolean) => void;
    disabledDate?: (current: import("moment").Moment) => boolean;
    valueFormat?: string;
    onPanelChange?: void;
    format?: string | Function | string[];
    showToday?: boolean;
    tagPrefixCls?: string;
    defaultPickerValue?: unknown;
    timePicker?: unknown;
    showTime?: unknown;
    ranges?: import("./props").RangePickerValue;
    disabledTime?: (current: import("./props").RangePickerValue, type: string) => {
        disabledHours?: () => number[];
        disabledMinutes?: () => number[];
        disabledSeconds?: () => number[];
    };
    renderExtraFooter?: unknown;
    onCalendarChange?: (dates: import("./props").RangePickerValue, dateStrings: [string, string]) => void;
    onOk?: (selectedTime: import("./interface").RangePickerPresetRange) => void;
    localeCode?: string;
    getCalendarContainer?: (triggerNode: Element) => HTMLElement;
    dateRender?: (current: import("moment").Moment, today: import("moment").Moment) => any;
    pickerClass?: string;
    pickerInputClass?: string;
}>, {
    locale: any;
}>;
declare const WrappedWeekPicker: DefineComponent<WeekPickerPropsTypes, {}, {}, Record<string, import("@vue/reactivity").ComputedGetter<any> | import("vue").WritableComputedOptions<any>>, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    locale: any;
} & {
    onFocus?: EventHandlerNonNull;
    onBlur?: EventHandlerNonNull;
    onChange?: (date: import("moment").Moment, dateString: string) => void;
    prefixCls?: string;
    name?: string;
    value?: import("./props").PickerValue;
    size?: "default" | "small" | "large";
    open?: boolean;
    disabled?: boolean;
    autofocus?: boolean;
    placeholder?: string;
    transitionName?: string;
    dropdownClassName?: string;
    popupStyle?: import("vue").CSSProperties;
    defaultValue?: import("./props").PickerValue;
    allowClear?: boolean;
    suffixIcon?: unknown;
    inputPrefixCls?: string;
    onOpenChange?: (status: boolean) => void;
    disabledDate?: (current: import("moment").Moment) => boolean;
    valueFormat?: string;
    format?: string | Function | string[];
    defaultPickerValue?: import("./props").PickerValue;
    renderExtraFooter?: (mode: "time" | "year" | "month" | "date" | "decade") => any;
    localeCode?: string;
    getCalendarContainer?: (triggerNode: Element) => HTMLElement;
    dateRender?: (current: import("moment").Moment, today: import("moment").Moment) => any;
    pickerClass?: string;
    pickerInputClass?: string;
}>, {
    locale: any;
}>;
declare const DatePicker: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            locale: any;
        }> & Pick<Readonly<{
            locale: any;
        } & {
            onFocus?: EventHandlerNonNull;
            onBlur?: EventHandlerNonNull;
            onChange?: (date: import("moment").Moment, dateString: string) => void;
            prefixCls?: string;
            mode?: "time" | "year" | "month" | "date" | "decade";
            name?: string;
            value?: import("./props").PickerValue;
            size?: "default" | "small" | "large";
            open?: boolean;
            disabled?: boolean;
            autofocus?: boolean;
            placeholder?: string;
            transitionName?: string;
            dropdownClassName?: string;
            popupStyle?: import("vue").CSSProperties;
            defaultValue?: import("./props").PickerValue;
            allowClear?: boolean;
            suffixIcon?: unknown;
            inputPrefixCls?: string;
            onOpenChange?: (status: boolean) => void;
            disabledDate?: (current: import("moment").Moment) => boolean;
            valueFormat?: string;
            onPanelChange?: (value: import("moment").Moment, mode: "time" | "year" | "month" | "date" | "decade") => void;
            format?: string | Function | string[];
            showToday?: boolean;
            defaultPickerValue?: import("./props").PickerValue;
            showTime?: unknown;
            disabledTime?: unknown;
            renderExtraFooter?: (mode: "time" | "year" | "month" | "date" | "decade") => any;
            onOk?: (selectedTime: import("moment").Moment) => void;
            localeCode?: string;
            getCalendarContainer?: (triggerNode: Element) => HTMLElement;
            dateRender?: (current: import("moment").Moment, today: import("moment").Moment) => any;
            pickerClass?: string;
            pickerInputClass?: string;
        }> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "style" | "onFocus" | "onBlur" | "onChange" | "prefixCls" | "class" | "key" | "ref" | "onVnodeBeforeMount" | "onVnodeMounted" | "onVnodeBeforeUpdate" | "onVnodeUpdated" | "onVnodeBeforeUnmount" | "onVnodeUnmounted" | "mode" | "name" | "value" | "size" | "open" | "disabled" | "autofocus" | "placeholder" | "transitionName" | "dropdownClassName" | "popupStyle" | "defaultValue" | "allowClear" | "suffixIcon" | "inputPrefixCls" | "onOpenChange" | "disabledDate" | "valueFormat" | "onPanelChange" | "format" | "showToday" | "defaultPickerValue" | "showTime" | "disabledTime" | "renderExtraFooter" | "onOk" | "localeCode" | "getCalendarContainer" | "dateRender" | "pickerClass" | "pickerInputClass">;
        $attrs: Record<string, unknown>;
        $refs: Record<string, unknown>;
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<{
            locale: any;
        } & {
            onFocus?: EventHandlerNonNull;
            onBlur?: EventHandlerNonNull;
            onChange?: (date: import("moment").Moment, dateString: string) => void;
            prefixCls?: string;
            mode?: "time" | "year" | "month" | "date" | "decade";
            name?: string;
            value?: import("./props").PickerValue;
            size?: "default" | "small" | "large";
            open?: boolean;
            disabled?: boolean;
            autofocus?: boolean;
            placeholder?: string;
            transitionName?: string;
            dropdownClassName?: string;
            popupStyle?: import("vue").CSSProperties;
            defaultValue?: import("./props").PickerValue;
            allowClear?: boolean;
            suffixIcon?: unknown;
            inputPrefixCls?: string;
            onOpenChange?: (status: boolean) => void;
            disabledDate?: (current: import("moment").Moment) => boolean;
            valueFormat?: string;
            onPanelChange?: (value: import("moment").Moment, mode: "time" | "year" | "month" | "date" | "decade") => void;
            format?: string | Function | string[];
            showToday?: boolean;
            defaultPickerValue?: import("./props").PickerValue;
            showTime?: unknown;
            disabledTime?: unknown;
            renderExtraFooter?: (mode: "time" | "year" | "month" | "date" | "decade") => any;
            onOk?: (selectedTime: import("moment").Moment) => void;
            localeCode?: string;
            getCalendarContainer?: (triggerNode: Element) => HTMLElement;
            dateRender?: (current: import("moment").Moment, today: import("moment").Moment) => any;
            pickerClass?: string;
            pickerInputClass?: string;
        }>, {}, {}, Record<string, import("@vue/reactivity").ComputedGetter<any> | import("vue").WritableComputedOptions<any>>, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
            locale: any;
        }>;
        $forceUpdate: import("vue").ReactiveEffect<any>;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<{
        locale: any;
    } & {
        onFocus?: EventHandlerNonNull;
        onBlur?: EventHandlerNonNull;
        onChange?: (date: import("moment").Moment, dateString: string) => void;
        prefixCls?: string;
        mode?: "time" | "year" | "month" | "date" | "decade";
        name?: string;
        value?: import("./props").PickerValue;
        size?: "default" | "small" | "large";
        open?: boolean;
        disabled?: boolean;
        autofocus?: boolean;
        placeholder?: string;
        transitionName?: string;
        dropdownClassName?: string;
        popupStyle?: import("vue").CSSProperties;
        defaultValue?: import("./props").PickerValue;
        allowClear?: boolean;
        suffixIcon?: unknown;
        inputPrefixCls?: string;
        onOpenChange?: (status: boolean) => void;
        disabledDate?: (current: import("moment").Moment) => boolean;
        valueFormat?: string;
        onPanelChange?: (value: import("moment").Moment, mode: "time" | "year" | "month" | "date" | "decade") => void;
        format?: string | Function | string[];
        showToday?: boolean;
        defaultPickerValue?: import("./props").PickerValue;
        showTime?: unknown;
        disabledTime?: unknown;
        renderExtraFooter?: (mode: "time" | "year" | "month" | "date" | "decade") => any;
        onOk?: (selectedTime: import("moment").Moment) => void;
        localeCode?: string;
        getCalendarContainer?: (triggerNode: Element) => HTMLElement;
        dateRender?: (current: import("moment").Moment, today: import("moment").Moment) => any;
        pickerClass?: string;
        pickerInputClass?: string;
    }> & import("vue").ShallowUnwrapRef<{}> & {
        [x: string]: never;
    } & import("vue").MethodOptions & import("vue").ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<{
    locale: any;
} & {
    onFocus?: EventHandlerNonNull;
    onBlur?: EventHandlerNonNull;
    onChange?: (date: import("moment").Moment, dateString: string) => void;
    prefixCls?: string;
    mode?: "time" | "year" | "month" | "date" | "decade";
    name?: string;
    value?: import("./props").PickerValue;
    size?: "default" | "small" | "large";
    open?: boolean;
    disabled?: boolean;
    autofocus?: boolean;
    placeholder?: string;
    transitionName?: string;
    dropdownClassName?: string;
    popupStyle?: import("vue").CSSProperties;
    defaultValue?: import("./props").PickerValue;
    allowClear?: boolean;
    suffixIcon?: unknown;
    inputPrefixCls?: string;
    onOpenChange?: (status: boolean) => void;
    disabledDate?: (current: import("moment").Moment) => boolean;
    valueFormat?: string;
    onPanelChange?: (value: import("moment").Moment, mode: "time" | "year" | "month" | "date" | "decade") => void;
    format?: string | Function | string[];
    showToday?: boolean;
    defaultPickerValue?: import("./props").PickerValue;
    showTime?: unknown;
    disabledTime?: unknown;
    renderExtraFooter?: (mode: "time" | "year" | "month" | "date" | "decade") => any;
    onOk?: (selectedTime: import("moment").Moment) => void;
    localeCode?: string;
    getCalendarContainer?: (triggerNode: Element) => HTMLElement;
    dateRender?: (current: import("moment").Moment, today: import("moment").Moment) => any;
    pickerClass?: string;
    pickerInputClass?: string;
}>, {}, {}, Record<string, import("@vue/reactivity").ComputedGetter<any> | import("vue").WritableComputedOptions<any>>, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
    locale: any;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & {
    readonly RangePicker: typeof WrappedRangePicker;
    readonly MonthPicker: typeof MonthPicker;
    readonly WeekPicker: typeof WrappedWeekPicker;
};
declare const MonthPicker: DefineComponent<MonthPickerPropsTypes, {}, {}, Record<string, import("@vue/reactivity").ComputedGetter<any> | import("vue").WritableComputedOptions<any>>, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    locale: any;
} & {
    onFocus?: EventHandlerNonNull;
    onBlur?: EventHandlerNonNull;
    onChange?: (date: import("moment").Moment, dateString: string) => void;
    prefixCls?: string;
    name?: string;
    value?: import("./props").PickerValue;
    size?: "default" | "small" | "large";
    open?: boolean;
    disabled?: boolean;
    autofocus?: boolean;
    placeholder?: string;
    transitionName?: string;
    dropdownClassName?: string;
    popupStyle?: import("vue").CSSProperties;
    defaultValue?: import("./props").PickerValue;
    allowClear?: boolean;
    suffixIcon?: unknown;
    inputPrefixCls?: string;
    onOpenChange?: (status: boolean) => void;
    disabledDate?: (current: import("moment").Moment) => boolean;
    valueFormat?: string;
    format?: string | Function | string[];
    defaultPickerValue?: import("./props").PickerValue;
    renderExtraFooter?: (mode: "time" | "year" | "month" | "date" | "decade") => any;
    localeCode?: string;
    getCalendarContainer?: (triggerNode: Element) => HTMLElement;
    dateRender?: (current: import("moment").Moment, today: import("moment").Moment) => any;
    pickerClass?: string;
    pickerInputClass?: string;
    monthCellContentRender?: (date: import("moment").Moment, locale: any) => any;
}>, {
    locale: any;
}>;
export default DatePicker;
