declare const PlacementTypes: ["top", "right", "bottom", "left"];
declare type placementType = typeof PlacementTypes[number];
declare const Drawer: import("vue").DefineComponent<{
    closable: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    destroyOnClose: import("vue-types").VueTypeValidableDef<boolean>;
    getContainer: import("vue-types").VueTypeValidableDef<any>;
    maskClosable: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    mask: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    maskStyle: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    wrapStyle: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    bodyStyle: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    headerStyle: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    drawerStyle: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    title: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
    visible: import("vue-types").VueTypeValidableDef<boolean>;
    width: import("vue-types").VueTypeDef<string | number> & {
        default: string | number;
    };
    height: import("vue-types").VueTypeDef<string | number> & {
        default: string | number;
    };
    zIndex: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    placement: import("vue-types").VueTypeDef<"top" | "bottom" | "left" | "right"> & {
        default: "top" | "bottom" | "left" | "right";
    };
    level: import("vue-types").VueTypeValidableDef<any> & {
        default: any;
    };
    wrapClassName: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    handle: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
    afterVisibleChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    keyboard: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    onClose: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    'onUpdate:visible': import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
}, {
    configProvider: import("../config-provider").ConfigConsumerProps;
    destroyClose: boolean;
    preVisible: boolean;
    parentDrawer: any;
}, {
    sPush: boolean;
}, {}, {
    close(e: Event): void;
    push(): void;
    pull(): void;
    onDestroyTransitionEnd(): void;
    getDestroyOnClose(): boolean;
    getPushTransform(placement?: placementType): string;
    getRcDrawerStyle(): {
        zIndex: number;
        transform: string;
    };
    renderHeader(prefixCls: string): JSX.Element;
    renderCloseIcon(prefixCls: string): JSX.Element;
    renderBody(prefixCls: string): JSX.Element;
}, {
    methods: {
        setState(state: {}, callback: any): void;
        __emit(...args: any[]): void;
    };
}, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    mask: boolean;
    prefixCls: string;
    keyboard: boolean;
    height: string | number;
    zIndex: number;
    maskClosable: boolean;
    closable: boolean;
    onClose: (...args: any[]) => any;
    width: string | number;
    placement: "top" | "bottom" | "left" | "right";
    "onUpdate:visible": (...args: any[]) => any;
    afterVisibleChange: (...args: any[]) => any;
    level: any;
    bodyStyle: {
        [key: string]: any;
    };
    maskStyle: {
        [key: string]: any;
    };
    wrapStyle: {
        [key: string]: any;
    };
    headerStyle: {
        [key: string]: any;
    };
    drawerStyle: {
        [key: string]: any;
    };
    wrapClassName: string;
} & {
    title?: import("../_util/type").VueNode;
    visible?: boolean;
    getContainer?: any;
    destroyOnClose?: boolean;
    handle?: import("../_util/type").VueNode;
}>, {
    mask: boolean;
    prefixCls: string;
    keyboard: boolean;
    height: string | number;
    zIndex: number;
    maskClosable: boolean;
    closable: boolean;
    onClose: (...args: any[]) => any;
    width: string | number;
    placement: "top" | "bottom" | "left" | "right";
    "onUpdate:visible": (...args: any[]) => any;
    afterVisibleChange: (...args: any[]) => any;
    level: any;
    bodyStyle: {
        [key: string]: any;
    };
    maskStyle: {
        [key: string]: any;
    };
    wrapStyle: {
        [key: string]: any;
    };
    headerStyle: {
        [key: string]: any;
    };
    drawerStyle: {
        [key: string]: any;
    };
    wrapClassName: string;
}>;
export default Drawer;
