export { ListItemProps, ListItemMetaProps } from './Item';
export declare const ColumnCount: (string | number)[];
export declare const ColumnType: string[];
export declare const ListGridType: {
    gutter: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    column: import("vue-types").VueTypeDef<string | number>;
    xs: import("vue-types").VueTypeDef<string | number>;
    sm: import("vue-types").VueTypeDef<string | number>;
    md: import("vue-types").VueTypeDef<string | number>;
    lg: import("vue-types").VueTypeDef<string | number>;
    xl: import("vue-types").VueTypeDef<string | number>;
    xxl: import("vue-types").VueTypeDef<string | number>;
};
export declare const ListSize: ["small", "default", "large"];
export declare const ListProps: () => {
    bordered: import("vue-types").VueTypeValidableDef<boolean>;
    dataSource: import("vue-types").VueTypeValidableDef<unknown[]> & {
        default: () => unknown[];
    };
    extra: import("vue-types").VueTypeValidableDef<any>;
    grid: import("vue-types").VueTypeLooseShape<{
        gutter: number;
        column: string | number;
        xs: string | number;
        sm: string | number;
        md: string | number;
        lg: string | number;
        xl: string | number;
        xxl: string | number;
    }>;
    itemLayout: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    loading: import("vue-types").VueTypeDef<boolean | {
        [key: string]: any;
    }>;
    loadMore: import("vue-types").VueTypeValidableDef<any>;
    pagination: import("vue-types").VueTypeDef<boolean | {
        position: "top" | "bottom" | "both";
        total: number;
        defaultCurrent: number;
        disabled: boolean;
        current: number;
        defaultPageSize: number;
        pageSize: number;
        hideOnSinglePage: boolean;
        showSizeChanger: boolean;
        pageSizeOptions: (string | number)[] | (() => (string | number)[]);
        buildOptionText: any;
        showSizeChange: any;
        showQuickJumper: boolean | {
            [key: string]: any;
        };
        showTotal: any;
        size: string;
        simple: boolean;
        locale: {
            [key: string]: any;
        };
        prefixCls: string;
        selectPrefixCls: string;
        itemRender: any;
        role: string;
        showLessItems: boolean;
    }>;
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    rowKey: import("vue-types").VueTypeValidableDef<any>;
    renderItem: import("vue-types").VueTypeValidableDef<any>;
    size: import("vue-types").VueTypeDef<"default" | "small" | "large">;
    split: import("vue-types").VueTypeValidableDef<boolean>;
    header: import("vue-types").VueTypeValidableDef<any>;
    footer: import("vue-types").VueTypeValidableDef<any>;
    locale: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
};
declare const List: import("vue").DefineComponent<{
    bordered: import("vue-types").VueTypeValidableDef<boolean>;
    dataSource: import("vue-types").VueTypeValidableDef<unknown[]> & {
        default: () => unknown[];
    };
    extra: import("vue-types").VueTypeValidableDef<any>;
    grid: import("vue-types").VueTypeLooseShape<{
        gutter: number;
        column: string | number;
        xs: string | number;
        sm: string | number;
        md: string | number;
        lg: string | number;
        xl: string | number;
        xxl: string | number;
    }>;
    itemLayout: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    loading: import("vue-types").VueTypeDef<boolean | {
        [key: string]: any;
    }>;
    loadMore: import("vue-types").VueTypeValidableDef<any>;
    pagination: import("vue-types").VueTypeDef<boolean | {
        position: "top" | "bottom" | "both";
        total: number;
        defaultCurrent: number;
        disabled: boolean;
        current: number;
        defaultPageSize: number;
        pageSize: number;
        hideOnSinglePage: boolean;
        showSizeChanger: boolean;
        pageSizeOptions: (string | number)[] | (() => (string | number)[]);
        buildOptionText: any;
        showSizeChange: any;
        showQuickJumper: boolean | {
            [key: string]: any;
        };
        showTotal: any;
        size: string;
        simple: boolean;
        locale: {
            [key: string]: any;
        };
        prefixCls: string;
        selectPrefixCls: string;
        itemRender: any;
        role: string;
        showLessItems: boolean;
    }>;
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    rowKey: import("vue-types").VueTypeValidableDef<any>;
    renderItem: import("vue-types").VueTypeValidableDef<any>;
    size: import("vue-types").VueTypeDef<"default" | "small" | "large">;
    split: import("vue-types").VueTypeValidableDef<boolean>;
    header: import("vue-types").VueTypeValidableDef<any>;
    footer: import("vue-types").VueTypeValidableDef<any>;
    locale: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
}, {
    keys: any[];
    defaultPaginationProps: {};
    onPaginationChange: any;
    onPaginationShowSizeChange: any;
    configProvider: import("../config-provider").ConfigConsumerProps;
}, {
    paginationCurrent: number;
    paginationSize: number;
}, {}, {
    triggerPaginationEvent(eventName: any): (page: any, pageSize: any) => void;
    innerRenderItem(item: any, index: any): any;
    isSomethingAfterLastItem(): boolean;
    renderEmpty(prefixCls: any, renderEmpty: any): JSX.Element;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    locale: {
        [key: string]: any;
    };
    prefixCls: string;
    dataSource: unknown[];
    itemLayout: string;
} & {
    footer?: any;
    header?: any;
    grid?: {
        gutter: number;
        column: string | number;
        xs: string | number;
        sm: string | number;
        md: string | number;
        lg: string | number;
        xl: string | number;
        xxl: string | number;
    };
    size?: "default" | "small" | "large";
    renderItem?: any;
    split?: boolean;
    loading?: boolean | {
        [key: string]: any;
    };
    bordered?: boolean;
    extra?: any;
    pagination?: boolean | {
        position: "top" | "bottom" | "both";
        total: number;
        defaultCurrent: number;
        disabled: boolean;
        current: number;
        defaultPageSize: number;
        pageSize: number;
        hideOnSinglePage: boolean;
        showSizeChanger: boolean;
        pageSizeOptions: (string | number)[] | (() => (string | number)[]);
        buildOptionText: any;
        showSizeChange: any;
        showQuickJumper: boolean | {
            [key: string]: any;
        };
        showTotal: any;
        size: string;
        simple: boolean;
        locale: {
            [key: string]: any;
        };
        prefixCls: string;
        selectPrefixCls: string;
        itemRender: any;
        role: string;
        showLessItems: boolean;
    };
    loadMore?: any;
    rowKey?: any;
}>, {
    locale: {
        [key: string]: any;
    };
    prefixCls: string;
    dataSource: unknown[];
    itemLayout: string;
}>;
export default List;
